/**
 *******************************************************************************
 * @file    main.h
 * @brief   header file for main.c, included some address definition and
 *          function prototypes
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

#ifndef MAIN_H
#define MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm330_cg.h"
#include "flash.h"
#include "lcd.h"
#include "key.h"
#include "led.h"

/* Private define ------------------------------------------------------------*/
#define USER_BOOT_MODE          ((uint8_t)0x01)
#define NORMAL_MODE             ((uint8_t)0x00)

#if defined ( __CC_ARM   )      /* RealView Compiler */
#define CODE_START              ((void (*)(void))0x838D)
#define FLASH_API_ROM           ((uint32_t*)__Get_FLASHSWAP_Store_Base())
#elif defined ( __ICCARM__ )    /* IAR Compiler */
#define CODE_START              ((void (*)(void))0x821D)
#define FLASH_API_ROM           ((uint32_t*)0x200)
#endif

#define DEMO_A_FLASH            ((uint32_t*)0x8000)
#define DEMO_B_FLASH            ((uint32_t*)0x10000)

#define RAM_BUFFER_START        ((uint32_t) 0x20000000)
#define FLASH_API_RAM           ((uint32_t*)(RAM_BUFFER_START))
#define DEMO_A_RAM              ((uint32_t*)(RAM_BUFFER_START + 0x1000U))
#define DEMO_B_RAM              ((uint32_t*)(RAM_BUFFER_START + 0x2000U))

#define SIZE_FLASH_API          (0x400U)
#define SIZE_DEMO_A             (3000U)
#define SIZE_DEMO_B             (3000U)

#define FC_SUCCESS              ERR_NONE

/* Private function prototypes -----------------------------------------------*/
void Copy_Routine(uint32_t * dest, uint32_t * source, uint32_t size);
uint8_t Flash_Swap(void);
uint8_t Mode_Judgement(void);

#endif
/*************************** END OF FILE **************************************/
