/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of RMC_Receiving demo for the TOSHIBA
 *          'TMPM330' Device Series 
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm330_tmrb.h"
#include "tmpm330_uart.h"
#include "tmpm330_rmc.h"
#include "tmpm330_gpio.h"
#include "tmpm330_cg.h"
#include "tmpm330_int.h"
#include "uart.h"
#include "timer.h"
#include "rmc.h"
#include <stdio.h>
/* external variables --------------------------------------------------------*/
extern uint8_t gSIORdIndex, gSIOWrIndex, fSIO0_INT;
extern uint8_t fTMRB0_INT;
extern uint32_t gRMC_Command;
extern uint16_t gRMC_Address;
#ifdef RMC_4
extern uint8_t gRMC_4Address;
#endif

/* Private define ------------------------------------------------------------*/
#ifdef RMC_1
/************** FOR RMC_1 FORMAT ****************/
#define FORMAT      "RMC_1"     /* FORMAT name */
#endif

#ifdef RMC_2
/************** FOR RMC_2 FORMAT ****************/
#define FORMAT      "RMC_2"     /* FORMAT name */
#endif

#ifdef RMC_3
/************** FOR RMC_3 FORMAT ****************/
#define FORMAT      "RMC_3"     /* FORMAT name */
#endif

#ifdef RMC_4
/************** FOR RMC_4 FORMAT ****************/
#define FORMAT      "RMC_4"     /* FORMAT name */
#endif

#ifdef RMC_5
/************** FOR RMC_2 FORMAT ****************/
#define FORMAT      "RMC_5"     /* FORMAT name */
#endif

/* Private function prototypes -----------------------------------------------*/
void PrintCode(char *, uint16_t, uint32_t);
#endif
