/**
 *******************************************************************************
 * @file    main.h
 * @brief   all interrupt request functions prototypes of TMRB_FREQUENCY demo
 *          for the TOSHIBA 'TMPM330' Device Series
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm330_tmrb.h"
#include "tmpm330_gpio.h"
#include "lcd.h"
#include "tmrb_tostring.h"
#include "tmpm330_tmrb_int.h"

/* Private define ------------------------------------------------------------*/

#define TMRB8TIME       0xC350U /* 10ms : TMRB8 for frequency measure */
#define KEYRELEASE      0xf0U   /* KEYRELEASE */

#define KEY_PORT	GPIO_PB

/* For keyboard */
#define K1 0x75U
#define K2 0xB5U
#define K3 0xD5U
#define K4 0xE5U

#define TIMES 20U

/* Private function prototypes -----------------------------------------------*/
void Cal_Freq(void);

/* external variables --------------------------------------------------------*/
extern int32_t gFreq[];
extern uint8_t fFreqMOK;

/* External function prototypes ----------------------------------------------*/
extern char *FrequencyToString(int32_t freq);
#endif
