/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of TMRB_PPG demo for the TOSHIBA
 *          'TMPM330' Device Series 
 * @version V1.002
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm330_tmrb.h"
#include "tmpm330_gpio.h"
#include "tmrb_tostring.h"
#include "led.h"
#include "lcd.h"

/* Private define ------------------------------------------------------------*/

#define SET       0x01U         /* flag is set */
#define CLEAR     0x00U         /* flag is cleared */

#define TMRB_1ms  0x1388U

#define KEY_PORT  GPIO_PB

/* For keyboard */
#define K1 0x75U
#define K2 0xB5U
#define K3 0xD5U
#define K4 0xE5U

#define TMRB0TIME       0x09C4U /* 0.5ms : TMRB0 for PPG */
#define KEYRELEASE      0xf0U   /* KEYRELEASE */
#define LEADINGTIMINGMAX         0x05U   /* LEADINGTIMING RATE COUNTER MAX */
#define LEADINGTIMINGINIT        0x00U   /* LEADINGTIMING RATE COUNTER Initialize */

/* External function prototypes ----------------------------------------------*/
extern char *LeadingTimingRateToString(uint8_t num);
#endif
