/**
 *******************************************************************************
 * @file    tmpm330_tmrb_int.c
 * @brief   all interrupt request functions definition of TMRB_TIMER demo
 *          for the TOSHIBA 'TMPM330' Device Series 
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "tmpm330_tmrb_int.h"

/**
  * @brief  TMRB5 interrupt service routine (1ms)
  * @param  None
  * @retval None
  */
void INTTB5_IRQHandler(void)
{
    static uint16_t tb5count = 0U;
    static uint8_t ledon = 0xFFU;

    tb5count++;
    if (tb5count >= 500U) {
        tb5count = 0U;
        /* Reverse LED output */
        ledon = ~ledon;
        LED_Display(ledon);
    } else {
        /* do nothing */
    }
}


/*********************************** END OF FILE ******************************/
