/**
 *******************************************************************************
 * @file    tmpm330_uart_int.h
 * @brief   all interrupt request functions prototypes of UART (Serial Channel)
 *          for the TOSHIBA 'TMPM330' Device Series
 * @version V1.001
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM330_UART_INT_H
#define __TMPM330_UART_INT_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* external variables --------------------------------------------------------*/
extern const uint8_t NumToBeTx;
extern uint8_t TxBuffer[];
extern uint8_t RxBuffer[];
extern uint8_t TxCounter;
extern uint8_t RxCounter;

/* Private function prototypes -----------------------------------------------*/
void INTTX0_IRQHandler(void);
void INTRX2_IRQHandler(void);

#endif                          /* __TMPM330_UART_INT_H */
